ConfigurationProxy (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.ConfigurationProxy class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.util
Class ConfigurationProxy

    java.lang.Object
      org.hyperic.hq.ui.util.ConfigurationProxy

    public class ConfigurationProxy

extends java.lang.Object

Constructor Summary
`ConfigurationProxy()`

Method Summary
`static ConfigurationProxy` | `getInstance()`
`void` | `setDashboardPreferences(javax.servlet.http.HttpSession session, WebUser user, org.hyperic.hq.bizapp.shared.AuthzBoss boss, ConfigResponse dashConfigResp)`
`void` | `setPreference(javax.servlet.http.HttpSession session, WebUser user, org.hyperic.hq.bizapp.shared.AuthzBoss boss, java.lang.String key, java.lang.String value)`
`void` | `setRoleDashboardPreferences(ConfigResponse preferences, org.hyperic.hq.bizapp.shared.AuthzBoss boss, WebUser user, Role role)`
`void` | `setUserDashboardPreferences(ConfigResponse userPrefs, org.hyperic.hq.bizapp.shared.AuthzBoss boss, WebUser user)`
`void` | `setUserPreferences(javax.servlet.http.HttpSession session, WebUser user, org.hyperic.hq.bizapp.shared.AuthzBoss boss, ConfigResponse userPrefs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationProxy

    public ConfigurationProxy()

Method Detail

### getInstance

    public static ConfigurationProxy getInstance()

### setPreference

    public void setPreference(javax.servlet.http.HttpSession session,
                              WebUser user,
                              org.hyperic.hq.bizapp.shared.AuthzBoss boss,
                              java.lang.String key,
                              java.lang.String value)
                       throws ApplicationException,
                              java.rmi.RemoteException

  Throws:
    `ApplicationException`
    `java.rmi.RemoteException`

### setDashboardPreferences

    public void setDashboardPreferences(javax.servlet.http.HttpSession session,
                                        WebUser user,
                                        org.hyperic.hq.bizapp.shared.AuthzBoss boss,
                                        ConfigResponse dashConfigResp)
                                 throws SessionNotFoundException,
                                        SessionTimeoutException,
                                        PermissionException,
                                        java.rmi.RemoteException

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `java.rmi.RemoteException`

### setUserPreferences

    public void setUserPreferences(javax.servlet.http.HttpSession session,
                                   WebUser user,
                                   org.hyperic.hq.bizapp.shared.AuthzBoss boss,
                                   ConfigResponse userPrefs)
                            throws ApplicationException,
                                   java.rmi.RemoteException

  Throws:
    `ApplicationException`
    `java.rmi.RemoteException`

### setUserDashboardPreferences

    public void setUserDashboardPreferences(ConfigResponse userPrefs,
                                            org.hyperic.hq.bizapp.shared.AuthzBoss boss,
                                            WebUser user)
                                     throws ApplicationException,
                                            java.rmi.RemoteException

  Throws:
    `ApplicationException`
    `java.rmi.RemoteException`

### setRoleDashboardPreferences

    public void setRoleDashboardPreferences(ConfigResponse preferences,
                                            org.hyperic.hq.bizapp.shared.AuthzBoss boss,
                                            WebUser user,
                                            Role role)
                                     throws ApplicationException,
                                            java.rmi.RemoteException

  Throws:
    `ApplicationException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.